Databases
cancel
Showing results for 
Search instead for 
Did you mean: 

Linking problems installing Oracle9i on HP-UX 11.11

SOLVED
Go to solution
samchj
Occasional Contributor

Linking problems installing Oracle9i on HP-UX 11.11

I am trying to install Oracle9i on a HP 785/B1000 running HP-UX 11.11
The Oracle install documents describe installation on HP-UX 11.0, and all the required patches seem to be not applicable to HP-UX 11.11 (already taken care of, I assume).
I followed all the other pre-installation steps, and got going with the install process. The problems start appearing during the "Linking
$ make -f ins_sqlplus.mk install
rm -f sqlplus
chmod 755 /oracle/ora921/install/bin/demobld
chmod 755 /oracle/ora921/install/bin/demodrop
chmod 755 /oracle/ora921/install/bin/helpins
chmod 755 /oracle/ora921/install/bin/pupbld
Linking sqlplus
rm -f sqlplus
cc -Wl,+s -Wl,+n +DA2.0W +DS2.0 -o sqlplus -L/oracle/ora921/install/sqlplus/lib/ -L/oracle/ora921/install/lib/ /oracle/ora921/install/sqlplus/lib/s0afimai.o -lsqlplus `cat /oracle/ora921/install/lib/ldflags` -lnsslb9 -lncrypt9 -lnsgr9 -lnzjs9 -ln9 -lnl9 -lnro9 `cat /oracle/ora921/install/lib/ldflags` -lnsslb9 -lncrypt9 -lnsgr9 -lnzjs9 -ln9 -lnl9 -lclient9 -lvsn9 -lwtc9 -lcommon9 -lgeneric9 -lwtc9 -lmm -lnls9 -lcore9 -lnls9 -lcore9 -lnls9 -lxml9 -lcore9 -lunls9 -lnls9 `cat /oracle/ora921/install/lib/ldflags` -lnsslb9 -lncrypt9 -lnsgr9 -lnzjs9 -ln9 -lnl9 -lnro9 `cat /oracle/ora921/install/lib/ldflags` -lnsslb9 -lncrypt9 -lnsgr9 -lnzjs9 -ln9 -lnl9 -lclient9 -lvsn9 -lwtc9 -lcommon9 -lgeneric9 -ltrace9 -lnls9 -lcore9 -lnls9 -lcore9 -lnls9 -lxml9 -lcore9 -lunls9 -lnls9 -lclient9 -lvsn9 -lwtc9 -lcommon9 -lgeneric9 -lnls9 -lcore9 -lnls9 -lcore9 -lnls9 -lxml9 -lcore9 -lunls9 -lnls9 `cat /oracle/ora921/install/lib/sysliblist` -lm -lpthread -lpthread /oracle/ora921/install/lib/nautab.o /oracle/ora921/install/lib/naeet.o /oracle/ora921/install/lib/naect.o /oracle/ora921/install/lib/naedhs.o /oracle/ora921/install/rdbms/lib/defopt.o -lpls9 -lsql9 -lxsd9
ld: Unsatisfied symbol "gethrtime" in file /oracle/ora921/install/lib//libgeneric9.a[kgl2.o]
1 errors.
*** Error exit code 1

Stop.
i can't continued ,but i'm nessary to install oracle9i on hpux11.11,somebody have good idea.thanks!
email :sam@dsguardian.com
8 REPLIES
Massimo Bianchi
Honored Contributor
Solution

Re: Linking problems installing Oracle9i on HP-UX 11.11

Hi,
some checks:

- latest ld and linker patches ?

- do you have the ansi C /C++ or the standard cc compiler ?

- doing a "relink all" also leads to erros ?

- is your installation 64bits? Oracle 9i comes only on 64bit, and it cannot run on 32bit S.O.

HTH,
Massimo
Alex Glennie
Honored Contributor

Re: Linking problems installing Oracle9i on HP-UX 11.11

I'd install PHCO_24402 libc cumulative header file patch


Defect Description:
PHCO_23094:
gettimeofday is very slow for certain vendors who
use it for time stamping because it calls a heavy
weight system call to get the current time of the
day.

Resolution:
A new API hrtime_t gethrtime(void) has been added
to libc. This API uses fast light weight system
call to get the nano seconds from certain time.
It does not give you the current time of day.
hrtime_t is a signed 64 bit number. This API will
only be available if the application is being
compiled in -Ae mode because 64 bit integer number
is not available in -Aa mode.
Nicolas Portais
Frequent Advisor

Re: Linking problems installing Oracle9i on HP-UX 11.11

Hi,
This symbol is in the libc library.
so, install the libc patch (PHCO_28427).
Regards,
Nicolas
Ravi_8
Honored Contributor

Re: Linking problems installing Oracle9i on HP-UX 11.11

Hi,

It's purely due to kernel values,
install recent GOLDQPK bundle from support plus CD and follow this URL:

http://otn.oracle.com/docs/products/oracle9i/doc_library/release2/A96167_01/html/pre.htm#CHDCJDHI
never give up
Andreas D. Skjervold
Honored Contributor

Re: Linking problems installing Oracle9i on HP-UX 11.11

Hi

My experience is that you'll have to increase the maxdsiz and maxdsiz_64 to 1 and 2 GB resp.

rgds
Andreas
Only by ignoring what everyone think is important, can you be aware of what everyone ignores!
Yogeeraj_1
Honored Contributor

Re: Linking problems installing Oracle9i on HP-UX 11.11

hi,

Metalink says:
"HP/UX patches PHCO_23770, PHCO_23092 must be applied."

Explanation
-----------
The gethrtime(void) function is a new funtion in libc and is not present in older versions of libraries, so this issue did not appear in prior versions. The referenced HP patches resolve the linking errors.


Attached the note.

regards
Yogeeraj
No person was ever honoured for what he received. Honour has been the reward for what he gave (clavin coolidge)
Yogeeraj_1
Honored Contributor

Re: Linking problems installing Oracle9i on HP-UX 11.11

note 159789.1 attached.
No person was ever honoured for what he received. Honour has been the reward for what he gave (clavin coolidge)
samchj
Occasional Contributor

Re: Linking problems installing Oracle9i on HP-UX 11.11

thank you Nicolas Portais

after i patched PHCO_28427 PHCO_28894 ,recomplier $ORACLE_HOME/sqlplus/lib/ins_sqlplus.mk ,it successfully,now i reinstall oracle9i ,i hope successful.thank you ,very much .you are great!